### Class

# Cogl Object

since: 13

#### Description

    abstract class Cogl.Object : GObject.TypeInstance
    {
      /* No available fields */
    }

No description available.

Available since: 13

#### Descendants

- CoglBitmap
- CoglContext
- CoglFrameInfo
- CoglPipeline
- CoglSnippet
- CoglTexture2D
- CoglTexture2DSliced

#### Functions

###### cogl_object_ref

Increases the reference count of `object` by 1

since: 13

###### cogl_object_unref

Drecreases the reference count of `object` by 1; if the reference count reaches 0, the resources allocated by `object` will be freed.

since: 13

#### Instance methods

###### cogl_object_get_user_data

Finds the user data previously associated with `object` using the given `key`. If no user data has been associated with `object` for the given `key` this function returns NULL.

since: 13

###### cogl_object_set_user_data

Associates some private `user_data` with a given `CoglObject`. To later remove the association call `cogl_object_set_user_data()` with the same `key` but NULL for the `user_data`.

since: 13